﻿using Infragistics.Windows;
using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDockManager_panes
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void PaneTabItem_Loaded(object sender, RoutedEventArgs e)
        {
            var tab = (sender as PaneTabItem);
            SetBackgroundAndForeground(tab, Brushes.LightGreen, Brushes.Red);
        }

        /// <summary>
        /// Set Background and Foreground of PaneTabItem.
        /// </summary>
        private void SetBackgroundAndForeground(PaneTabItem tabItem, Brush background, Brush foreground)
        {
            var contentPresenter = Utilities.GetDescendantFromName(tabItem, "contentHeader") as ContentPresenter; // If PaneTabItem is docked.
            if (contentPresenter == null)
                contentPresenter = Utilities.GetDescendantFromName(tabItem, "NormalContentBold") as ContentPresenter; // If PaneTabItem is in Document and text is bold.
            if (contentPresenter == null)
                return;

            var tb = Utilities.GetDescendantFromType(contentPresenter, typeof(TextBlock), true) as TextBlock;
            if (tb == null)
                return;

            tabItem.Background = background;
            tb.Foreground = foreground;
        }
    }
}
